Index: /trunk/server/common/oursrc/athrun/Makefile.in
===================================================================
--- /trunk/server/common/oursrc/athrun/Makefile.in	(revision 1219)
+++ /trunk/server/common/oursrc/athrun/Makefile.in	(revision 1219)
@@ -0,0 +1,14 @@
+prefix = @prefix@
+exec_prefix = @exec_prefix@
+bindir = @bindir@
+
+all-local:
+
+install:
+	install -p -m755 -D athrun.sh $(DESTDIR)$(bindir)/athrun
+
+clean:
+
+distclean: clean
+	rm -f configure config.* Makefile
+	rm -rf auto*.cache
Index: /trunk/server/common/oursrc/athrun/athrun.sh
===================================================================
--- /trunk/server/common/oursrc/athrun/athrun.sh	(revision 1219)
+++ /trunk/server/common/oursrc/athrun/athrun.sh	(revision 1219)
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# An analog of the Athena athrun utility for scripts.mit.edu.
+# The Athena athrun was written by Greg Hudson.
+# This version was kludged by Mitchell Berger.
+# "athrun moira" runs moira from the moira locker.
+# "athrun gnu gls -l" runs gls -l from the gnu locker.
+
+case $# in
+0)
+  echo "Usage: athrun locker [program] [args ...]" >&2
+  exit 1
+  ;;
+1)
+  exec "/mit/$1/bin/$1"
+  ;;
+*)
+  locker=$1
+  program=$2
+  shift 2;
+  exec "/mit/$locker/bin/$program" "$@"
+  ;;
+esac
Index: /trunk/server/common/oursrc/athrun/configure.in
===================================================================
--- /trunk/server/common/oursrc/athrun/configure.in	(revision 1219)
+++ /trunk/server/common/oursrc/athrun/configure.in	(revision 1219)
@@ -0,0 +1,5 @@
+AC_INIT()
+
+AC_PROG_CC
+
+AC_OUTPUT(Makefile)
Index: /trunk/server/common/oursrc/athrun/mrproper
===================================================================
--- /trunk/server/common/oursrc/athrun/mrproper	(revision 1219)
+++ /trunk/server/common/oursrc/athrun/mrproper	(revision 1219)
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+rm -f configure config.* Makefile
+rm -rf auto*.cache
Index: /trunk/server/fedora/Makefile
===================================================================
--- /trunk/server/fedora/Makefile	(revision 1218)
+++ /trunk/server/fedora/Makefile	(revision 1219)
@@ -21,5 +21,5 @@
 upstream_yum	= krb5 httpd openssh pysvn php
 upstream	= openafs $(upstream_yum)
-oursrc		= execsys tokensys accountadm httpdmods logview sql-signup nss_nonlocal nss_nonlocal.i386 whoisd mit-zephyr nss-ldapd nss-ldapd.i386 scripts-base
+oursrc		= execsys tokensys accountadm httpdmods logview sql-signup nss_nonlocal nss_nonlocal.i386 whoisd mit-zephyr nss-ldapd nss-ldapd.i386 athrun scripts-base
 allsrc		= $(upstream) $(oursrc)
 oursrcdir	= ${PWD}/../common/oursrc
Index: /trunk/server/fedora/specs/athrun.spec
===================================================================
--- /trunk/server/fedora/specs/athrun.spec	(revision 1219)
+++ /trunk/server/fedora/specs/athrun.spec	(revision 1219)
@@ -0,0 +1,37 @@
+Summary: scripts.mit.edu version of Athena athrun utility
+Group: Applications/System
+Name: athrun
+Version: 0.%{scriptsversion}
+Release: 0
+Vendor: The scripts.mit.edu Team (scripts@mit.edu)
+URL: http://scripts.mit.edu
+License: MIT
+Source: %{name}.tar.gz 
+BuildRoot: %{_tmppath}/%(%{__id_u} -n)-%{name}-%{version}-root
+%define debug_package %{nil}
+
+%description 
+
+scripts.mit.edu version of Athena athrun utility
+
+%prep
+%setup -q -n %{name}
+
+%build
+./configure
+make
+
+%install
+[ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT
+make install DESTDIR=$RPM_BUILD_ROOT prefix=/usr/local
+
+%clean
+[ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT
+
+%files
+%defattr(0755, root, root)
+/usr/local/bin/athrun
+
+%changelog
+* Wed Jul 01 2009  Mitchell Berger <mitchb@MIT.EDU> 0.00
+- Initial version
